Masterbuilt® App

Device Requirements

iOS

iOS 8/9  using iPhone 5 or higher. Must support Bluetooth 4.0 or higher.

Android

Android 4.4 or higher. Must support Bluetooth 4.0 or higher.

Support